Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 9124)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 9169)
@@ -7,13 +7,13 @@
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
    !!----------------------------------------------------------------------
-   !!   p4z_mort       :   Compute the mortality terms for phytoplankton
-   !!   p4z_mort_init  :   Initialize the mortality params for phytoplankton
-   !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zprod         !  Primary productivity 
-   USE p4zlim          !  Phytoplankton limitation terms
-   USE prtctl_trc      !  print control for debugging
+   !!   p4z_mort       : Compute the mortality terms for phytoplankton
+   !!   p4z_mort_init  : Initialize the mortality params for phytoplankton
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zprod         ! Primary productivity 
+   USE p4zlim          ! Phytoplankton limitation terms
+   USE prtctl_trc      ! print control for debugging
 
    IMPLICIT NONE
@@ -23,10 +23,9 @@
    PUBLIC   p4z_mort_init    
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC :: wchl    !:
-   REAL(wp), PUBLIC :: wchld   !:
-   REAL(wp), PUBLIC :: wchldm  !:
-   REAL(wp), PUBLIC :: mprat   !:
-   REAL(wp), PUBLIC :: mprat2  !:
+   REAL(wp), PUBLIC ::   wchl     !:
+   REAL(wp), PUBLIC ::   wchld    !:
+   REAL(wp), PUBLIC ::   wchldm   !:
+   REAL(wp), PUBLIC ::   mprat    !:
+   REAL(wp), PUBLIC ::   mprat2   !:
 
    !!----------------------------------------------------------------------
@@ -35,5 +34,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -49,9 +47,9 @@
       INTEGER, INTENT(in) ::   kt ! ocean time step
       !!---------------------------------------------------------------------
-
+      !
       CALL p4z_nano            ! nanophytoplankton
-
+      !
       CALL p4z_diat            ! diatoms
-
+      !
    END SUBROUTINE p4z_mort
 
@@ -65,14 +63,14 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER  :: ji, jj, jk
-      REAL(wp) :: zsizerat, zcompaph
-      REAL(wp) :: zfactfe, zfactch, zprcaca, zfracal
-      REAL(wp) :: ztortp , zrespp , zmortp 
-      CHARACTER (len=25) :: charout
+      INTEGER  ::   ji, jj, jk
+      REAL(wp) ::   zsizerat, zcompaph
+      REAL(wp) ::   zfactfe, zfactch, zprcaca, zfracal
+      REAL(wp) ::   ztortp , zrespp , zmortp 
+      CHARACTER (len=25) ::   charout
       !!---------------------------------------------------------------------
       !
       IF( ln_timing )   CALL timing_start('p4z_nano')
       !
-      prodcal(:,:,:) = 0.  !: calcite production variable set to zero
+      prodcal(:,:,:) = 0._wp   ! calcite production variable set to zero
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -139,14 +137,13 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER  ::  ji, jj, jk
-      REAL(wp) ::  zfactfe,zfactsi,zfactch, zcompadi
-      REAL(wp) ::  zrespp2, ztortp2, zmortp2
-      REAL(wp) ::  zlim2, zlim1
-      CHARACTER (len=25) :: charout
+      INTEGER  ::   ji, jj, jk
+      REAL(wp) ::   zfactfe,zfactsi,zfactch, zcompadi
+      REAL(wp) ::   zrespp2, ztortp2, zmortp2
+      REAL(wp) ::   zlim2, zlim1
+      CHARACTER (len=25) ::   charout
       !!---------------------------------------------------------------------
       !
       IF( ln_timing )   CALL timing_start('p4z_diat')
       !
-
       !    Aggregation term for diatoms is increased in case of nutrient
       !    stress as observed in reality. The stressed cells become more
@@ -196,5 +193,5 @@
       END DO
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
@@ -214,5 +211,5 @@
       !!
       !! ** Method  :   Read the nampismort namelist and check the parameters
-      !!      called at the first timestep
+      !!              called at the first timestep
       !!
       !! ** input   :   Namelist nampismort
@@ -224,22 +221,25 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN
+         WRITE(numout,*) 
+         WRITE(numout,*) 'p4z_mort_init : Initialization of phytoplankton mortality parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampismort in reference namelist : Pisces phytoplankton
       READ  ( numnatp_ref, namp4zmort, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmort in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zmort in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampismort in configuration namelist : Pisces phytoplankton
       READ  ( numnatp_cfg, namp4zmort, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zmort in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, namp4zmort )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zmort in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, namp4zmort )
       !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for phytoplankton mortality, namp4zmort'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    quadratic mortality of phytoplankton      wchl      =', wchl
-         WRITE(numout,*) '    maximum quadratic mortality of diatoms    wchld     =', wchld
-         WRITE(numout,*) '    maximum quadratic mortality of diatoms    wchldm    =', wchldm
-         WRITE(numout,*) '    phytoplankton mortality rate              mprat     =', mprat
-         WRITE(numout,*) '    Diatoms mortality rate                    mprat2    =', mprat2
+         WRITE(numout,*) '   Namelist : namp4zmort'
+         WRITE(numout,*) '      quadratic mortality of phytoplankton        wchl   =', wchl
+         WRITE(numout,*) '      maximum quadratic mortality of diatoms      wchld  =', wchld
+         WRITE(numout,*) '      maximum quadratic mortality of diatoms      wchldm =', wchldm
+         WRITE(numout,*) '      phytoplankton mortality rate                mprat  =', mprat
+         WRITE(numout,*) '      Diatoms mortality rate                      mprat2 =', mprat2
       ENDIF
       !
